---------------------------------------------------------------------------------------------------
--|> PLAYER BAR MENU
---------------------------------------------------------------------------------------------------
local _, NS = ...

--: ⬆️ Upvalues :----------------------
local gsub = gsub
local GetClassColor = GetClassColor
local WrapTextInColorCode = WrapTextInColorCode
local select = select
local wipe = wipe

local menuPlayerGUID = ""
local info = {}

--> OnLoad <---------------------------------------------------------
function weizPVP_PlayerBarMenu_OnLoad()
  if not NS.PlayerActiveCache[menuPlayerGUID] then
    return
  end
  -- NAME
  local printedName = WrapTextInColorCode(gsub(NS.KOS.menuPlayerName, "-(.*)", ""), select(4, GetClassColor(NS.PlayerDB[NS.KOS.menuPlayerName].C)))
  local printedRealm = gsub(NS.KOS.menuPlayerName, "^(.*-)", "")
  info.text = printedName .. " |cffbbbbbb-|r |cffdddddd" .. printedRealm .. "|r"
  info.notCheckable = 1
  info.notClickable = 1
  info.padding = 0
  info.leftPadding = 0
  UIDropDownMenu_AddButton(info)
  -- KOS TOGGLE
  wipe(info)
  info.text = NS.KOS.SetMenuText(NS.KOS.menuPlayerName)
  info.notCheckable = 1
  info.padding = 0
  info.leftPadding = 0
  info.func = function()
    NS.KOS.ChangeKosStatus(NS.KOS.menuPlayerName)
  end
  UIDropDownMenu_AddButton(info)
  wipe(info)
end

--> Player Bar Menu: On Click <--------------------------------------
function NS.PlayerBarMenu_OnClick(bar)
  if not bar then
    return
  end
  NS.KOS.menuPlayerName = bar.name
  menuPlayerGUID = bar.GUID
  ToggleDropDownMenu(1, nil, weizPVP_PlayerBarMenu, "cursor", 0, 0)
end
